GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Create New Clearing Order

REST APIsTradingClearingCreate New Clearing Order

Create New Clearing Order

POSThttps://api.gemini.com/v1/clearing/new

Creates a new bilateral clearing order on Gemini.

POSTv1/clearing/new
curl --request POST \
  --url https://api.gemini.com/v1/clearing/new \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/clearing/new",
  "nonce": "<nonce>",
  "counterparty_id": "OM9VNL1G",
  "expires_in_hrs": 24,
  "symbol": "btcusd",
  "amount": "100",
  "price": "9500.00",
  "side": "buy"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have clearing:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/clearing/new"
nonceTimestampType | integer·required
timestampExample: 1495127793000
symbolstring·required
The trading pair
amountstring·required
The amount to trade
pricestring·required
The price
sidestring·enum·required
The direction of the tradeEnum values: buysell
counterparty_idstring
The counterparty ID
expires_in_hrsinteger
The number of hours until the order expires
accountstring
Required for Master API keys. The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/clearing/new",
  "nonce": "<nonce>",
  "counterparty_id": "OM9VNL1G",
  "expires_in_hrs": 24,
  "symbol": "btcusd",
  "amount": "100",
  "price": "9500.00",
  "side": "buy"
}

Responses

Successful operation

clearing_idstring
The clearing ID
symbolstring
The trading pair
pricestring
The order price
amountstring
The order amount
sidestring·enum
Enum values: buysell
statusstring
The order status
timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
timestampmsinteger
The timestamp in milliseconds
is_confirmedboolean
Whether the order is confirmed
Example Responses
{
  "result": "AwaitConfirm",
  "clearing_id": "0OQGOZXW"
}
PreviousClearing
Last modified on May 5, 2026